Page MenuHomePhabricator

Set $wgPropertySuggesterClassifyingPropertyIds to [ 31, 279 ] for wikidata.org
Closed, ResolvedPublic

Description

As explained in T168434, the current (default) setting for $wgPropertySuggesterClassifyingPropertyIds is inconsistent with the data that PropertySuggester uses on wikidata.org. $wgPropertySuggesterClassifyingPropertyIds shoudl be set to [ 31, 279 ] to be consistent with the data generated by the PropertySuggester python script.

P279 is the "subclass of" property. This change makes it so that property suggestions depend on which class the present item is a subclass of. This should be a noticeable improvement to the quality of property suggestions on items that represent classes of things.

NOTE: This change should be announced to the community. It is not expected to have adverse effects, but we should have an eye on the behavior of the property suggester on the live site after changing $wgPropertySuggesterClassifyingPropertyIds.

Event Timeline

Change 366866 had a related patch set uploaded (by Daniel Kinzler; owner: Daniel Kinzler):
[operations/mediawiki-config@master] Add P279 to $wgPropertySuggesterClassifyingPropertyIds

https://gerrit.wikimedia.org/r/366866

Restricted Application added a subscriber: PokestarFan. · View Herald TranscriptJul 21 2017, 4:42 PM

@Urbanecm this has a patch now. Please sync deployment with @Lydia_Pintscher. This is essentially a bug fix, but the community should get a heads up when it is rolled out.

daniel updated the task description. (Show Details)Jul 21 2017, 4:55 PM

Change 366866 merged by jenkins-bot:
[operations/mediawiki-config@master] Add P279 to $wgPropertySuggesterClassifyingPropertyIds

https://gerrit.wikimedia.org/r/366866

Mentioned in SAL (#wikimedia-operations) [2017-07-31T14:34:58Z] <zfilipin@tin> Synchronized wmf-config/Wikibase-production.php: SWAT: [[gerrit:366866|Add P279 to $wgPropertySuggesterClassifyingPropertyIds (T169060)]] (duration: 00m 42s)

daniel closed this task as Resolved.Jul 31 2017, 3:25 PM